Page MenuHomePhabricator

The Index pages don't work on Yiddish Wikisource
Closed, ResolvedPublic

Description

I've tried creating an Index: page for a PDF file on the Yiddish Wikisource the way it's done in other Wikisource section, but instead of Index page I get just a blank page despite the use of the <pagelist/> tag.

Please review https://yi.wikisource.org/wiki/Index:Устав_профессионального_общества_рабочих_заготовщиков_в_г._Риге.pdf

You may compaire it to https://ru.wikisource.org/wiki/Index:Устав_профессионального_общества_рабочих_заготовщиков_в_г._Риге.pdf which contains an appropriate Index page for the parallel text in Russian from the same file.

I've also tried a preview from the Hebrew Wikisource section and the Index page also looks fine from there.

Please, (help me) figure out, what's wrong with the Yiddish Wikisource section.

The actual Page: pages work fine in there, for instance: https://yi.wikisource.org/wiki/Page:Устав_профессионального_общества_рабочих_заготовщиков_в_г._Риге.pdf/15

Event Timeline

eugrus created this task.Jun 13 2019, 10:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2019, 10:32 PM

Would be glad if someone could help us out with that! There hasn't been an active administrator on the section for years.

You should just need to customise it further for the wiki...
More info at https://www.mediawiki.org/wiki/Extension:Proofread_Page#Configuration_of_index_namespace

I unfortunately don't speak/read/write Yiddish, so can't help too much :(

eugrus added a comment.EditedJun 13 2019, 11:41 PM

Would it "just work" if you just create the default https://yi.wikisource.org/wiki/MediaWiki:Proofreadpage_index_data_config ?

I don't have the permission to create the page or to play around with it.

I unfortunately don't speak/read/write Yiddish, so can't help too much :(

I don't think there's exactly a default (unless I missed something), hence just copying the enwiktionary one

You'll need the interface administrator right on the wiki to edit it (hence using my staff account to copy for ease)

I just created https://yi.wikisource.org/wiki/%D7%9E%D7%A2%D7%93%D7%99%D7%A2%D7%B0%D7%99%D7%A7%D7%99:Proofreadpage_index_data_config too...

The Index page does appear now! Thanks!

Yay, progress :)

I do note that ProofreadPage doesn't seem to be well translated into yi on translatewiki.net ...

Have you got translator access?

You might want to translate the rest of the messages https://translatewiki.net/wiki/Special:Translate?action=page&group=ext-proofreadpage&language=yi&filter= it might help benefit the wiki :)

Could you also please copy https://en.wikisource.org/w/index.php?title=MediaWiki:Proofreadpage_header_template onto https://yi.wikisource.org/w/index.php?title=MediaWiki:Proofreadpage_header_template so far? It seems to be required to embed the text from the proofreading pages into the main space.

I don't know if there's any more basic infrastructure we miss.

I do have the translator access, but my Yiddish skills are rather just passive (read-only) - it would be a calque from German if I try: I will ask around on the Yiddish Wikipedia though!

Could you please create one last thing:

https://yi.wikisource.org/w/index.php?title=MediaWiki:Proofreadpage_pagenum_template containing:

<includeonly><span class="pagenum ws-pagenum" id="{{{num}}}" data-page-number="{{{num}}}" title="{{urlencode:{{{page}}}|WIKI}}">&#8203;</span></includeonly>
eugrus added a comment.EditedJun 14 2019, 2:08 PM

And thank you once again, Reedy! However what should be edited to make the [numbers] of the original proofread pages (with the links to them) appear in square brackets on a side of the page where they are embedded like it is on the English and other Wikisources?

They lack in my test: https://yi.wikisource.org/wiki/user:eugrus/test

Xover added a subscriber: Xover.EditedJun 14 2019, 4:32 PM

@eugrus The page numbers are generated by a community-maintained script, loaded from https://en.wikisource.org/wiki/MediaWiki:Common.js, that lives in https://en.wikisource.org/wiki/MediaWiki:PageNumbers.js. You will need various bits of supporting code from Common.js (in addition to loading the PageNumbers.js script itself) in order to get it to work.

Oh, and the script is only active in mainspace (ns:0) and the Translations namespace (ns:114 on enWS). In particular, it will not work in your user sandbox.

Then I dearly ask to upload those as well to yi.wikisource.org :)

You may want to apply for interface administrator rights, to not turn this task into a neverending list of followup things? One issue per task, in theory. :)

What's the status? Is the requested page creation in T225763#5258775 the last thing that needs to be done here?

eugrus added a comment.EditedJun 21 2019, 10:52 AM

What's the status? Is the requested page creation in T225763#5258775 the last thing that needs to be done here?

Some bits of the MediaWiki scripts are still needed for the full integration of the proofreading ifrastructure into the Yiddish Wikisource.

Xover has mentioned MediaWiki:Common.js and MediaWiki:PageNumbers.js

However the Index pages are already functional now.

Aklapper closed this task as Resolved.Jul 20 2019, 12:59 AM

However the Index pages are already functional now.

Thanks. Closing per last comment